Package com.destroystokyo.paper.event.player

# Class PlayerUseUnknownEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerUseUnknownEntityEvent

public class PlayerUseUnknownEntityEvent extends PlayerEvent

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerUseUnknownEntityEvent(@NotNull Player who, int entityId, boolean attack, @NotNull EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEntityId()`
`@NotNull EquipmentSlot`
`getHand()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isAttack()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerUseUnknownEntityEvent

public PlayerUseUnknownEntityEvent(@NotNull @NotNull Player who, int entityId, boolean attack, @NotNull @NotNull EquipmentSlot hand)

## Method Details

### getEntityId

public int getEntityId()

### isAttack

public boolean isAttack()

### getHand

@NotNull public @NotNull EquipmentSlot getHand()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()